$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("focus", '.ninth', autoadd);
    
    function remove() {
        $(this).closest("tr").remove();
    }

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }


    $('#addnew').click(function () {
        AddRows();
    });
    
  
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prsecondary_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }
    
    

});